/**
 * 初始化人才认定申报详情对话框
 */
var TalentAllowanceInfoDlg = {
    talentAllowanceData: {},
    validateFields: {
        talentId: {validators: {notEmpty: {message: '申报对象不能为空' }}}
    }
};

/**
 * 清除数据
 */
TalentAllowanceInfoDlg.clearData = function() {
    this.talentAllowanceData = {};
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentAllowanceInfoDlg.set = function(key, val) {
    this.talentAllowanceData[key] = (typeof val == "undefined") ? $("#" + key).val() : val;
    return this;
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentAllowanceInfoDlg.get = function(key) {
    return $("#" + key).val();
}

/**
 * 关闭此对话框
 */
TalentAllowanceInfoDlg.close = function() {
    parent.layer.close(window.parent.TalentAllowanceInfo.layerIndex);
}

/**
 * 收集数据
 */
TalentAllowanceInfoDlg.collectData = function() {
    this.set('id')
        .set('talentId')
        .set('year')
        .set('wage');
}
/**
 * 验证数据
 */
TalentAllowanceInfoDlg.validate = function () {
    $('#talentAllowanceForm').data("bootstrapValidator").resetForm();
    $('#talentAllowanceForm').bootstrapValidator('validate');
    return $("#talentAllowanceForm").data('bootstrapValidator').isValid();
}

/**
 * 选择申报对象初始化
 */
TalentAllowanceInfoDlg.init = function(){
    var talentId = $("#name").val();
    if(Feng.isNotEmptyStr(talentId)){
        var ajax = new $ax(Feng.ctxPath + "/api/talentInfo/detail/"+talentId, function(data){
            if(data.active == 1){
                $("#wageDiv").css("display","none");
            }else if(data.active == 2){
                $("#wageDiv").css("display","block").val("");
            }else if(data.active == 3){
                Feng.info("上一年度不存在有效的单位");
            }
            $("#active").val(data.active);
            $("#talentId").val(talentId);
            $("#talentTypeName").val(data.talentTypeName);
            $("#enterpriseName").val(data.enterpriseName);
            $("#sex").val(data.sex==1?"男":"女");
            $("#idCard").val(data.idCard);
            $("#introductionModeName").val(data.introductionModeName);
            $("#firstInJJTime").val(data.firstInJJTime);
            $("#entryTime").val(data.entryTime);
            $("#post").val(data.post);
            $("#phone").val(data.phone);
            $("#bank").val(data.bank);
            $("#bankNumber").val(data.bankNumber);
            $("#bankNetwork").val(data.bankNetwork).attr("title",data.bankNetwork);
            $("#bankAccount").val(data.bankAccount);
            $("#talentArrangeName").val(data.talentArrangeName);
            $("#identifyConditionText").val(data.identifyConditionText).attr("title",data.identifyConditionText);
            $("#identifyConditionName").val(data.identifyConditionName).attr("title",data.identifyConditionName);
            $("#identifyGetTime").val(data.identifyGetTime);
            $("#provinceCode").val(data.provinceName+data.cityName+data.countyName);
        },function(data){
            Feng.error("查询失败!" + data.responseJSON.message + "!");
        });
        ajax.set("year",$("#year").val())
        ajax.start();
    }
}

/**
 * 提交添加
 */
TalentAllowanceInfoDlg.addSubmit = function() {
    this.clearData();
    this.collectData();
    if(!TalentAllowanceInfoDlg.validate()){
        return ;
    }
    var id = $('#id').val();
    if(Feng.isNotEmptyStr(id)){
        TalentAllowanceInfoDlg.editSubmit();
        return;
    }
    var active = $("#active").val();
    if(active == 2){
        if(Feng.isEmptyStr(TalentAllowanceInfoDlg.talentAllowanceData.wage)){
            Feng.info("请填写上一年度年薪");return ;
        }
        if(!/^([1-9][0-9]*)+(\.[0-9]{1,10})?$/.test(TalentAllowanceInfoDlg.talentAllowanceData.wage)){
            Feng.info("上一年度年薪格式不合法，无需填写单位元");return ;
        }
    }
    var operation = function () {
        var ajax = new $ax(Feng.ctxPath + "/api/talentAllowance/add", function(data){
            if(data.code==200){
                Feng.success(data.msg);
                $("#id").val(data.obj.id);
                $("#name").prop("disabled",true).trigger("chosen:updated");
                $("#fileLi").removeAttr("style");
                $("#checkState").val(data.obj.checkState);
            }else{
                Feng.info(data.msg);
            }
        },function(data){
            Feng.error("提交失败!" + data.responseJSON.message + "!");
        });
        ajax.set(TalentAllowanceInfoDlg.talentAllowanceData);
        ajax.start();
    }
    Feng.confirm("请确认当前申报人是否已完成所有的离职变更、工作单位变更、人才层次变更以及银行账号变更且已审核通过，一旦保存无法追加，确认保存吗？", operation);
}

TalentAllowanceInfoDlg.editSubmit = function(){
    this.clearData();
    this.collectData();
    if(!TalentAllowanceInfoDlg.validate()){
        return ;
    }
    if(!TalentAllowanceInfoDlg.validateIsEdit())return;
    var active = $("#active").val();
    if(active == 2){
        if(Feng.isEmptyStr(TalentAllowanceInfoDlg.talentAllowanceData.wage)){
            Feng.info("请填写上一年度年薪");return ;
        }
        if(!/^([1-9][0-9]*)+(\.[0-9]{1,10})?$/.test(TalentAllowanceInfoDlg.talentAllowanceData.wage)){
            Feng.info("上一年度年薪格式不合法，无需填写单位元");return ;
        }
    }
    var ajax = new $ax(Feng.ctxPath + "/api/talentAllowance/edit", function(data){
        if(data.code==200){
            Feng.success(data.msg);
        }else{
            Feng.info(data.msg);
        }
    },function(data){
        Feng.error("提交失败!" + data.responseJSON.message + "!");
    });
    ajax.set(TalentAllowanceInfoDlg.talentAllowanceData);
    ajax.start();
}


/**
 * 初始化工作单位及核查项目情况表
 */
TalentAllowanceInfoDlg.initContract = function(){
    $("#projectTable").bootstrapTable("destroy",{});
    $("#projectTable").bootstrapTable({
        url: Feng.ctxPath + "/api/talentAllowance/findAllowanceContractDetail",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false,				// 是否显示刷新按钮
        clickToSelect: true,			// 是否启用点击选中行
        singleSelect: true,				// 设置True 将禁止多选
        striped: true,  				// 是否显示行间隔色
        escape: true,
        pagination: false,   			// 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        detailView: true,//父子表
        queryParams: function (params) {
            return $.extend({"mainId":$("#id").val()},params)
        },
        columns: TalentAllowanceInfoDlg.initContractColumns(),
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        },
        onLoadSuccess: function (data) {
            $("#projectTable").bootstrapTable('expandAllRows');
        },
        onExpandRow: function (index, row, $detail) {
            var enterpriseId = row.enterpriseId;
            var cur_table = $detail.html('<table id="'+enterpriseId+'" class="mytable-hover"></table>').find('table');
            $(cur_table).bootstrapTable("destroy",{});
            $(cur_table).bootstrapTable({
                url: Feng.ctxPath + "/api/talentAllowance/findAllowanceProject",
                method: 'POST',
                contentType: "application/x-www-form-urlencoded; charset=UTF-8",
                search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
                showRefresh: false,				// 是否显示刷新按钮
                clickToSelect: true,			// 是否启用点击选中行
                singleSelect: true,				// 设置True 将禁止多选
                escape: true,
                pagination: false,   			// 设置为 true 会在表格底部显示分页条
                paginationHAlign: "left",
                paginationDetailHAlign: "right",
                sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
                showColumns: false,
                queryParams: function (params) {
                    return $.extend({"mainId":$("#id").val(),"baseId":row.id},params)
                },
                columns: TalentAllowanceInfoDlg.initProjectColumns(),
                onLoadSuccess: function (data) {
                    layer.tips('请勾选个税缴纳情况','.tips',{tips:[1,"#1ab394"],time:0,closeBtn :2});
                },
            });
        }
    });
}


//显示修改工作单位合同情况模态框
TalentAllowanceInfoDlg.showEditContractModel = function(id){
    var ajax = new $ax(Feng.ctxPath + "/api/talentAllowance/validateIsEdit", function(data){
        if(data.code==200){
            $("#contractForm")[0].reset();
            $("#contractId").val(id);
            $("#contractModal").modal("show");
        }else{1
            Feng.info(data.msg);
        }
    },function(data){
        Feng.error("校验失败!" + data.responseJSON.message + "!");
    });
    ajax.set("id",id);
    ajax.set("type",1);
    ajax.start();
}

//修改合同起止时间提交
TalentAllowanceInfoDlg.editContract = function(){
    var id = $("#contractId").val();
    var startTime = $("#startTime").val();
    var endTime = $("#endTime").val();
    if(startTime==null || startTime==''){
        Feng.info("请选择合同起始时间");
        return ;
    }
    if(endTime==null || endTime==''){
        Feng.info("请选择合同截止时间");
        return ;
    }
    var ajax = new $ax(Feng.ctxPath + "/api/talentAllowance/editContract", function(data){
        if(data.code==200){
            Feng.success(data.msg);
            $("#projectTable").bootstrapTable("refresh", {});
            $("#contractModal").modal("hide");
        }else{
            Feng.info(data.msg);
        }
    },function(data){
        Feng.error("提交失败!" + data.responseJSON.message + "!");
    });
    ajax.set({"id":id,"startTime":startTime,"endTime":endTime});
    ajax.start();
}

//显示
// 项目模态框
TalentAllowanceInfoDlg.showEditProjectModal = function(project, id, enterpriseId, months, days,content) {
    var desc = $(content).attr("data-value");
    var type = $("#type").val();
    var ajax = new $ax(Feng.ctxPath + "/api/talentAllowance/validateIsEdit",function(data) {
        if (data.code == 200) {
            TalentAllowanceInfoDlg.initICheck();
            $("#description").val(desc);
            if (project == 4 || project==15 || project==16) {
                if (type == 2) {
                    if(project == 4){$("#attendanceModalLabel").html("考勤");$("#heading").html("请填写每月考勤天数<span style=\"color: red\">(不填写或填写0则代表无考勤记录)</span>");}
                    if(project == 15){$("#attendanceModalLabel").html("在境时间");$("#heading").html("请填写每月在境内天数<span style=\"color: red\">(不填写则代表为0天)</span>");}
                    if(project == 16){$("#attendanceModalLabel").html("境内工作日时间");$("#heading").html("请填写每月境内工作日天数<span style=\"color: red\">(不填写则代表为0天)</span>");}
                    $("#attendanceForm")[0].reset();
                    $("#attendanceId").val(id);
                    $("#attendanceEnterpriseId").val(enterpriseId);
                    if (months != null && months != '') {
                        var arr = months.split(",");
                        for (var key in arr) {
                            var num = arr[key].split("=")[0];
                            var day = arr[key].split("=")[1];
                            $("#attendMonths input").each(function() {
                                if ($(this).attr('num') == num) $(this).val(day);
                            });
                        }
                    }
                    $("#attendanceModal").modal("show");
                } else if (type == 1) {
                    $('#jjAttendanceModal').on('show.bs.modal', function () {
                        $("#jjmonths input").each(function () {
                            $(this).iCheck("uncheck");
                        });
                        $("#jjAttendanceId").val(id);
                        $("#jjAttendanceEnterpriseId").val(enterpriseId);
                        if(Feng.isNotEmptyStr(months) && months.indexOf(",") != -1) {
                            var arr = months.split(",");
                            for (var key in arr) {
                                $("#jjmonths input").each(function () {
                                    if ($(this).val() == arr[key]) $(this).iCheck("check");
                                });
                            }
                        }
                    });
                    if (days != null && days != '') $("#days").val(days);
                    $("#jjAttendanceModal").modal("show");
                }
            } else {
                $('#projectModal').on('show.bs.modal', function () {
                    $("#months input").each(function () {
                        $(this).iCheck("uncheck");
                    });
                    $("#projectId").val(id);
                    $("#enterpriseId").val(enterpriseId);
                    if(Feng.isNotEmptyStr(months)) {
                        var arr = months.split(",");
                        for (var key in arr) {
                            $("#months input").each(function() {
                                if ($(this).val() == arr[key]) $(this).iCheck("check");
                            });
                        }
                    }
                });
                $("#projectModal").modal("show");
            }
        } else {
            Feng.info(data.msg);
        }
    },function(data) {
        Feng.error("校验失败!" + data.responseJSON.message + "!");
    });
    ajax.set("id", id);
    ajax.set("type", 2);
    ajax.start();
}
//编辑项目提交
TalentAllowanceInfoDlg.editProject = function(){
    var id = $("#projectId").val();
    var enterpriseId = $("#enterpriseId").val();
    var description = $("#description").val();
    var months = "";
    $("#months input").each(function () {
        if(this.checked){
            months = months + $(this).val() + ",";
        }
    })
    var ajax = new $ax(Feng.ctxPath + "/api/talentAllowance/editProject", function(data){
        if(data.code==200){
            Feng.success(data.msg);
            $("#"+enterpriseId).bootstrapTable("refresh", {});
            $("#projectModal").modal("hide");
        }else{
            Feng.info(data.msg);
        }
    },function(data){
        Feng.error("提交失败!" + data.responseJSON.message + "!");
    });
    ajax.set({"id":id,"months":months,"description":description});
    ajax.start();
}

TalentAllowanceInfoDlg.editJJAttendance = function(){
    var id = $("#jjAttendanceId").val();
    var enterpriseId = $("#jjAttendanceEnterpriseId").val();
    var description = $("#jjDescription").val();
    var days = $("#days").val();
    var months = "";
    $("#jjmonths input").each(function () {
        if(this.checked){
            months = months + $(this).val() + ",";
        }
    })
    if(months=="" && (days==null || days=="")){
        Feng.info("请填写考勤信息");
        return ;
    }
    if(months!=null && months!='' && days!=null && days!=''){
        Feng.info("考勤天数和考勤月份只能选择一个填写");
        return ;
    }
    var ajax = new $ax(Feng.ctxPath + "/api/talentAllowance/editProject", function(data){
        if(data.code==200){
            Feng.success(data.msg);
            $("#"+enterpriseId).bootstrapTable("refresh", {});
            $("#projectModal").modal("hide");
        }else{
            Feng.info(data.msg);
        }
    },function(data){
        Feng.error("提交失败!" + data.responseJSON.message + "!");
    });
    ajax.set({"id":id,"months":months,"days":days,"description":description});
    ajax.start();
}

TalentAllowanceInfoDlg.editAttendanceProject = function(){
    var id = $("#attendanceId").val();
    var enterpriseId = $("#attendanceEnterpriseId").val();
    var description = $("#attendanceDescription").val();
    var months = "";
    var error = "";
    var name = $("#attendanceModalLabel").html();
    $("#attendMonths input").each(function(){
        var days = $(this).val();
        var num = $(this).attr("num");
        if(isNaN(days)){
            error = error + num+"月的"+name+"天数不是数字;";
        }else{
            if(days<0 || days>31){
                error = error + num+"月的"+name+"天数不在范围内（1-31）;";
            }
        }
        if(days==null || days==''){
            days = 0;
        }
        months = months + num + "=" + days + ",";
    });
    if(error!=""){
        Feng.error(error);
        return ;
    }
    var ajax = new $ax(Feng.ctxPath + "/api/talentAllowance/editProject", function(data){
        if(data.code==200){
            Feng.success(data.msg);
            $("#"+enterpriseId).bootstrapTable("refresh", {});
            $("#attendanceModal").modal("hide");
        }else{
            Feng.info(data.msg);
        }
    },function(data){
        Feng.error("提交失败!" + data.responseJSON.message + "!");
    });
    ajax.set({"id":id,"months":months,"description":description});
    ajax.start();
}


//初始化附件类别表单
TalentAllowanceInfoDlg.initFileTable = function (){
    TalentAllowanceInfoDlg.initContract();
    // Feng.showMiniFileModal(CONFIG.project_jbt,$("#type").val(),$("#id").val());
    var queryData = {};
    queryData['project'] = CONFIG.project_jbt;
    queryData['type'] = $("#type").val();
    $("#fileTable").bootstrapTable({
        url: Feng.ctxPath + "/api/talentInfo/findUnCommonFileType",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false,					// 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false,				// 是否显示刷新按钮
        clickToSelect: true,			// 是否启用点击选中行
        singleSelect: true,				// 设置True 将禁止多选
        striped: true,  				// 是否显示行间隔色
        escape: true,
        pagination: false,   			// 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server",   	// 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        detailView: true,               //是否显示父子表
        pageList: [10, 30, 50],
        queryParams: function (params) {
            return $.extend(queryData,params)
        },
        rowStyle: function (row, index) {
            return {classes:"info"};
        },
        columns: TalentAllowanceInfoDlg.initFileTypeColumn(),
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        },
        onLoadSuccess: function (data) {
            $("#fileTable").bootstrapTable('expandAllRows');
        },
        onExpandRow: function (index, row, $detail) {
            var ajax = new $ax(Feng.ctxPath + "/api/talentInfo/listTalentFile", function (data) {
                if(data==null||data.length==0){
                    return;
                }
                var html = '<ul class="imgs"><li style="width: 80%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">操作</li>';
                var files = $("#files").val();
                var checkState = $("#checkState").val();
                for(var key in data){
                    var btn = "";
                    if(checkState==1 || (checkState==10 && files.indexOf(row.id)!=-1)){
                        btn = "<button type=\'button\' onclick=\"TalentAllowanceInfoDlg.checkFile(this,'"+row.id+"','"+data[key].id+"')\" style=\'margin-left: 5px\' class=\"btn btn-xs btn-success\">" +
                            "<i class=\"fa fa-paste\"></i>修改" +
                            "</button>" +
                            "<button type='button' onclick=\"TalentAllowanceInfoDlg.deleteFile('"+data[key].id+"','"+row.fState+"')\" class=\"btn btn-xs btn-danger\">" +
                            "<i class=\"fa fa-times\"></i>删除" +
                            "</button>";
                    }else{
                        btn = "";
                    }
                    var sn = data[key].url.lastIndexOf(".");
                    var suffix = data[key].url.substring(sn+1,data[key].url.length);
                    var imgStr = "";
                    if(suffix=="pdf"||suffix=="PDF"){
                        imgStr = "<button type='button'  onclick=\"Feng.showPdf('"+data[key].url+"','"+data[key].id+"','"+data[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    }else if(suffix == "xlsx" || suffix=="XLSX" || suffix == 'xls' || suffix == 'XLS'){
                        imgStr = "<button type='button'  onclick=\"Feng.showExcel('"+data[key].url+"','"+data[key].id+"','"+data[key].orignName+"')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                    }else{
                        imgStr = '<img class=\"imgUrl\"  src=\"'+data[key].url+'\" style=\"width:25px;height:25px;\">';
                    }
                    html = html + '<li style="display: none">'+data[key].id+'</li>\n'+
                        '<li style="width: 80%;padding-top: 5px;">'+data[key].orignName+'</li>\n'+
                        '<li style="width: 10%;">'+imgStr+'</li>\n'+
                        '<li style="width: 10%;padding-top: 2px;">'+btn+'</li>';
                }
                html = html + '</ul>';
                $detail.html(html);
                $(".imgs").viewer({
                    // toolbar:false,
                    fullscreen:false
                });
            }, function (data) {
                Feng.error("查询失败!" + data.responseJSON.message + "!");
            });
            var queryData = {};
            queryData["mainId"] = $("#id").val();
            queryData["fileTypeId"] = row.id;
            ajax.set(queryData);
            ajax.start();
        }
    });

}

//校验是否保存基础信息
TalentAllowanceInfoDlg.validId = function (){
    var id = $("#id").val();
    if(id!=null && id!=''){
        $("#fileLi").removeAttr("style");
    }else{
        $("#fileLi").attr("style","pointer-events: none");
        $("#name").on('chosen:ready', function(e, params) {
            $(".chosen-container-single .chosen-single").css("padding","4px 0px 0px 4px");
        });
        $("#name").chosen({
            search_contains:true,       //关键字模糊搜索。设置为true，只要选项包含搜索词就会显示；设置为false，则要求从选项开头开始匹配
            disable_search: false,
            width:"100%",
            enable_split_word_search: true
        });
    }
}
//选择附件并显示附件名
TalentAllowanceInfoDlg.checkFile = function (content,fileTypeId,fileId){
    if(!TalentAllowanceInfoDlg.validateIsEdit())return;
    $("#upload_file ").unbind("change");
    $("#upload_file ").change(function () {
        TalentAllowanceInfoDlg.upload(fileTypeId,fileId);
    });
    $('#upload_file').val("");
    $('#upload_file').click()
}
//上传附件
TalentAllowanceInfoDlg.upload = function (fileTypeId,fileId){
    var id = $("#id").val();
    if(!TalentAllowanceInfoDlg.validateIsEdit())return;
    if(fileId!=null&&fileId!='null'){
        $("#fileId").val(fileId)
    }else{
        $("#fileId").val("");
    }
    $("#mainId").val(id);
    $("#fileTypeId").val(fileTypeId);
    var index = layer.load(0, {shade: false,time:0});
    $("#index").val(index);
    $("#uploadForm").submit();
}
//删除附件
TalentAllowanceInfoDlg.deleteFile = function (id){
    if(!TalentAllowanceInfoDlg.validateIsEdit())return;
    var operation = function() {
        var ajax = new $ax(Feng.ctxPath + "/api/talentInfo/deleteFile", function (data) {
            if(data.code=200){
                Feng.success(data.msg);
                $("#fileTable").bootstrapTable("refresh", {});
            }else{
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("删除失败!" + data.responseJSON.message + "!");
        });
        ajax.set("id", id);
        ajax.set("type",CONFIG.project_jbt);
        ajax.start();
    }
    Feng.confirm("删除后无法恢复，确认删除吗?", operation);
}

/**
 * 提交审核
 */
TalentAllowanceInfoDlg.submitToCheck = function(){
    var ajax = new $ax(Feng.ctxPath + "/api/talentAllowance/valiateIsSubmit", function (data) {
        if(data.code == 200){
            var id = $("#id").val();
            if(id==null || id==""){
                Feng.info("请先填写基础信息并上传附件");
                return ;
            }
            TalentAllowanceInfoDlg.clearData();
            TalentAllowanceInfoDlg.collectData();
            if(!TalentAllowanceInfoDlg.validateIsEdit())return;
            var active = $("#active").val();
            if(active == 2){
                if(Feng.isEmptyStr(TalentAllowanceInfoDlg.talentAllowanceData.wage)){
                    Feng.info("请填写上一年度年薪");return ;
                }
                if(!/^([1-9][0-9]*)+(\.[0-9]{1,10})?$/.test(TalentAllowanceInfoDlg.talentAllowanceData.wage)){
                    Feng.info("上一年度年薪格式不合法，无需填写单位元");return ;
                }
            }
            var operation = function() {
                var ajax = new $ax(Feng.ctxPath + "/api/talentAllowance/submitToCheck", function (data) {
                    if(data.code==200){
                        Feng.success(data.msg);
                        window.parent.TalentAllowanceInfo.table.refresh();
                        TalentAllowanceInfoDlg.close();
                    }else{
                        Feng.error(data.msg);
                    }
                }, function (data) {
                    Feng.error("提交审核失败!" + data.responseJSON.message + "!");
                });
                ajax.set(TalentAllowanceInfoDlg.talentAllowanceData)
                // ajax.set("id", id);
                ajax.start();
            }
            Feng.confirm("请确认基础信息已核对无误，相应附件已上传，一旦提交，无法修改", operation);
        }else{
            Feng.error(data.msg);
        }
    }, function (data) {
        Feng.error("查询失败!" + data.responseJSON.message + "!");
    });
    ajax.set("type",CONFIG.project_jbt);
    ajax.set("id",$("#id").val())
    ajax.start();
}

/**
 * 校验是否可以修改/提交审核
 */
TalentAllowanceInfoDlg.validateIsEdit = function (){
    var id = $("#id").val();
    if(id==null || id==''){
        Feng.info("请先添加基本信息并保存后再试");
        return false;
    }
    var checkState = $("#checkState").val();
    if(checkState != 1 && checkState != 10){
        if(checkState==-1){
            Feng.error("您的申报审核不通过，无法再修改");
            return false;
        }else if(checkState==30){
            Feng.error("您的申报已审核通过，无法再修改");
            return false;
        }else{
            Feng.error("您的申报正在审核中，请耐心等待");
            return false;
        }
    }
    return true;
}
TalentAllowanceInfoDlg.initICheck = function(){
    $('input[type=checkbox]').iCheck({
        labelHover : false,
        cursor : true,
        checkboxClass : 'icheckbox_square-green',
        radioClass : 'iradio_square-greene',
        increaseArea : '20%'
    });
}


TalentAllowanceInfoDlg.showAllLog = function(){
    var id = $("#id").val();
    if(Feng.isNotEmptyStr(id)){
        Feng.getCheckLog("logTable",{"type":CONFIG.project_jbt,"mainId":$("#id").val(),"typeFileId":"","active":1})
    }
}


$(function() {
    Feng.initValidatorTip("talentAllowanceForm",TalentAllowanceInfoDlg.validateFields);
    Feng.addAjaxSelect({
        "id": 'name',
        "displayCode": "id",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/api/talentInfo/findTalentByEnterpriseInLibrary?type=1&year="+$("#year").val()
    });
    TalentAllowanceInfoDlg.validId();
    if($("#type").val()==2){
        $("#bankNumberSpan,#talentTypeSpan,#introductionModeSpan,#firstInJJTimeSpan").attr("style","display:none");
    }
    //批量加载时间控件
    $(".date").each(function(){
        laydate.render({elem: "#"+$(this).attr("id"),type: 'date',trigger: 'click'});
    });
    $("select").each(function () {
        $(this).val($(this).attr("value"));
    });
    TalentAllowanceInfoDlg.showAllLog();
    toastr.options = {
        "closeButton": true,
        "debug": false,
        "positionClass": "toast-bottom-right",
        "onclick": null,
        "showDuration": "300",
        "hideDuration": "1000",
        "timeOut": "600000",
        "extendedTimeOut": "1000",
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut",
        "tapToDismiss":true
    };
    toastr.success("请确保申报对象在申报津补贴之前已完成离职变更、工作单位变更、人才层次变更、银行账号变更且审核通过，否则可能带来不必要的损失，请在申报之前再次确认！！！");
});


